; Kemoverse - a gacha-style bot for the Fediverse.
; Copyright © 2025 Waifu and VD15

; This program is free software: you can redistribute it and/or modify
; it under the terms of the GNU Affero General Public License as
; published by the Free Software Foundation, either version 3 of the
; License, or (at your option) any later version.

; This program is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU Affero General Public License for more details.

; You should have received a copy of the GNU Affero General Public License
; along with this program.  If not, see https://www.gnu.org/licenses/.


; Rename me to config.ini and put your values in here
[application]
; Comma separated list of fedi handles for any administrator users
; More can be added through the application
DefaultAdmins    = ["@localadmin", "@remoteadmin@example.tld"]
; SQLite Database location
DatabaseLocation = ./gacha_game.db
; Instance type - either "misskey" or "pleroma"
InstanceType     = misskey
; Web server port (default: 5000)
WebPort = 5000
; Web server bind address (default: 127.0.0.1, set to 0.0.0.0 to listen on all interfaces)
BindAddress = 127.0.0.1

; Whether to lmit access to the bot via an instance whitelist
; The whitelist can be adjusted via the application
UseWhitelist     = False

[gacha]
; Number of seconds players have to wait between rolls
RollInterval = 72000
; Rarity drop weights (1 to 5 stars)
; Format: rarity=weight per line
; In order: common, uncommon, rare, epic and legendary (Example values below)
Rarity_1 = 0.7   
Rarity_2 = 0.2
Rarity_3 = 0.08
Rarity_4 = 0.015
Rarity_5 = 0.005 

[notification]
; Number of seconds to sleep while awaiting new notifications
PollInterval = 5
; Number of notifications to process at once (max 100)
BatchSize    = 10

[credentials]
; Fully qualified URL of the instance hosting the bot
Instance = http://example.tld
; Full fedi handle of the bot user
User     = @bot@example.tld
; API key for the bot
; Generate one by going to Settings > API > Generate access token
Token    = abcdefghijklmnopqrstuvwxyz012345
